I always find myself looking for this table so I thought I would post it here as well for anybody who is interested...

Supported configurations

Windows Server operating system

Active Directory environment

Exchange Version

Windows 2000 + SP3

Windows Server 2003

Windows 2000 + SP3

Windows Server 2003

Exchange 5.5 + SP3

Yes

No

Not applicable

Not applicable

Exchange 2000 + SP2

Yes

No

Yes

Yes

Exchange 2000 + SP3

Yes

No

Yes

Yes

Exchange 2003

Yes

Yes

Yes

Yes

This table is swiped from the Exchange Server Compatibility with Windows Server Operating Systems document.

Updated 1/22/2009 – Fixed link.